Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class DataBackup

    java.lang.Object
      org.exist.storage.DataBackup

All Implemented Interfaces:
  SystemTask

public class DataBackup
extends java.lang.Object
implements SystemTask

Constructor Summary
`DataBackup()`
`DataBackup(java.lang.String destination)`

Method Summary
`void` | `configure(Configuration config, java.util.Properties properties)`
`void` | `execute(DBBroker broker)` Execute this task.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBackup

    public DataBackup()

### DataBackup

    public DataBackup(java.lang.String destination)

Method Detail

### configure

    public void configure(Configuration config,
                          java.util.Properties properties)
                   throws EXistException

  Specified by:
    `configure` in interface `SystemTask`
  Throws:
    `EXistException`

### execute

    public void execute(DBBroker broker)
                 throws EXistException

  Description copied from interface: `SystemTask`
  Execute this task.

  Specified by:
    `execute` in interface `SystemTask`
  Parameters:
    `broker` - a DBBroker object that can be used
  Throws:
    `EXistException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.